Package org.eclipse.ecf.remoteservice.util

# Class RemoteFilterImpl

java.lang.Object
org.eclipse.ecf.remoteservice.util.RemoteFilterImpl

All Implemented Interfaces:
  `IRemoteFilter`, `Filter`

Direct Known Subclasses:
  `RemoteFilterImpl`, `RemoteServiceFilterImpl`

public class RemoteFilterImpl extends Object implements IRemoteFilter

Since:
  3.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`REMOTE_SERVICEID_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`RemoteFilterImpl(String createFilter)`
`RemoteFilterImpl(BundleContext context, String createFilter)`
`RemoteFilterImpl(Filter filter)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`static String`
`getObjectClassFilterString(String objectClass)`
`long`
`getRsId()`
`int`
`hashCode()`
`boolean`
`match(Dictionary dictionary)`
`boolean`
`match(IRemoteServiceReference reference)`
Filter using a remote service's properties.
`boolean`
`match(ServiceReference reference)`
`boolean`
`matchCase(Dictionary dictionary)`
`boolean`
`matches(Map map)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### REMOTE_SERVICEID_PREFIX

public static final String REMOTE_SERVICEID_PREFIX

Since:
  8.4
See Also:
  - Constant Field Values

## Constructor Details

### RemoteFilterImpl

public RemoteFilterImpl(String createFilter) throws InvalidSyntaxException

Parameters:
  `createFilter` - filter
Throws:
  `InvalidSyntaxException` - if the createFilter is not of valid syntax

### RemoteFilterImpl

public RemoteFilterImpl(BundleContext context, String createFilter) throws InvalidSyntaxException

Parameters:
  `context` - bundle context
  `createFilter` - filter
Throws:
  `InvalidSyntaxException` - if given createFilter is not of valid filter syntax
Since:
  6.0

### RemoteFilterImpl

public RemoteFilterImpl(Filter filter)

## Method Details

### getRsId

public long getRsId()

Returns:
  long the remote service container relative id
Since:
  8.4

### getObjectClassFilterString

public static String getObjectClassFilterString(String objectClass)

### match

public boolean match(IRemoteServiceReference reference)
Description copied from interface: `IRemoteFilter`
Filter using a remote service's properties.

The filter is executed using the keys and values of the referenced service's properties. The keys are case insensitively matched with the filter.

Specified by:
  `match` in interface `IRemoteFilter`
Parameters:
  `reference` - The reference to the service whose properties are used in the match.
Returns:
  `true` if the service's properties match this filter; `false` otherwise.

### match

public boolean match(Dictionary dictionary)

Specified by:
  `match` in interface `Filter`

### matchCase

public boolean matchCase(Dictionary dictionary)

Specified by:
  `matchCase` in interface `Filter`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `Filter`
Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Filter`
Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Specified by:
  `toString` in interface `Filter`
Overrides:
  `toString` in class `Object`

### match

public boolean match(ServiceReference reference)

Specified by:
  `match` in interface `Filter`

### matches

public boolean matches(Map map)

Specified by:
  `matches` in interface `Filter`
Parameters:
  `map` - map
Returns:
  boolean true if map matches this filter, false otherwise
Since:
  6.0